<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****
?>

<?php
$my_mode = $mode == 'pagination' ? $dc_orig_mode : $mode;

<?php if ($my_mode != 'search') { dcPhotoBlog::displayArchiveTitle(); } ?>
<div id="photo_archive">
<!-- Boucle sur la liste de billets -->
<?php if (($my_mode == 'cat' && $photo_cat_order_chrono) || ($my_mode == 'month' && $photo_month_order_chrono)) : ?>
	<?php
		$news->moveEnd();
		while (!$news->BOF()) {
			dcPhotoBlog::displayArchiveVignette($news);
			if (!$news->movePrev()) { break; }
		}
	?>
<?php else : ?>
<?php while ($news->fetch()) : ?>
	<?php dcPhotoBlog::displayArchiveVignette($news); ?>
<?php endwhile; ?>
<?php endif; ?>
<div id="pagination" style="clear:both;text-align:center;">
<?php if ($mode == 'pagination') dcPagination::showNavigation(); ?>
</div>
</div>
<div id="sidebar_archive">
<?php dcMonthsList(); dcCatList(); ?>
</div>
